View Issue Details

IDProjectCategoryView StatusLast Update
0016062mantisbtcode cleanuppublic2014-12-08 00:34
ReporterdregadAssigned Todregad 
PrioritylowSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016062: Defining new constants to replace hardcoded strings
Description

The following strings are used to define the $g_display_errors array.

DISPLAY_ERROR_HALT = 'halt'
DISPLAY_ERROR_INLINE = 'inline'
DISPLAY_ERROR_NONE = 'none'

Now using constants for cleaner code.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master a01f2345

2013-06-15 02:56:36

dregad

Details Diff
Defining new constants to replace hardcoded strings

DISPLAY_ERROR_HALT = 'halt'
DISPLAY_ERROR_INLINE = 'inline'
DISPLAY_ERROR_NONE = 'none'

Fixes 0016062
mod - admin/check/check_config_inc.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/error_api.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
mod - login_page.php Diff File

MantisBT: master 0783cd6a

2013-10-12 13:52:49

dregad

Details Diff
Use constant DISPLAY_ERROR_HALT in admin check message

Follow up on commit 01f234514dea26cb01222249ad34265c9f8dc24

Fixes 0016062
mod - admin/check/check_config_inc.php Diff File

Issue History

Date Modified Username Field Change
2013-06-14 21:33 dregad New Issue
2013-06-14 21:34 dregad Assigned To => dregad
2013-06-14 21:34 dregad Status new => assigned
2013-10-11 23:23 dregad Changeset attached => MantisBT master a01f2345
2013-10-11 23:23 dregad Status assigned => resolved
2013-10-11 23:23 dregad Resolution open => fixed
2013-10-11 23:23 dregad Fixed in Version => 1.3.0-beta.1
2013-10-12 18:28 dregad Changeset attached => MantisBT master 0783cd6a
2014-12-08 00:34 vboctor Status resolved => closed